Adjust new tab whitespace: whitespace sizing, positioning of undo box
phlsa suggests that with the larger tiles, some of the whitespace around the edges / around the tiles / around the undo box should be adjusted. This might also suggest a movement of the undo box to be closer to the gear/customize button freeing up some of the extra padding that goes around the box.